services:
  migration:
    container_name: home-automation-migration
    image: code.wanderingbadger.dev/tliu93/home-automation:latest
    user: "1000:1000"
    restart: "no"
    init: true
    command: ["python", "-m", "scripts.run_migrations"]
    volumes:
      - ./data:/app/data
      - ./.env:/app/.env:ro
      - /etc/localtime:/etc/localtime:ro

  app:
    container_name: home-automation-app
    image: code.wanderingbadger.dev/tliu93/home-automation:latest
    user: "1000:1000"
    restart: unless-stopped
    init: true
    depends_on:
      migration:
        condition: service_completed_successfully
    ports:
      - "127.0.0.1:8881:8000"
    volumes:
      - ./data:/app/data
      - ./.env:/app/.env:ro
      - /etc/localtime:/etc/localtime:ro

